# Uses of Class
com.fasterxml.jackson.core.io.CharacterEscapes

Packages that use CharacterEscapes
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of CharacterEscapes in com.fasterxml.jackson.core

Subclasses of CharacterEscapes in com.fasterxml.jackson.core
Modifier and Type
Class
Description
`class`
`JsonpCharacterEscapes`
Convenience `CharacterEscapes` implementation that escapes Unicode characters `0x2028` and `0x2029` (in addition to characters escaped otherwise), which are apparently considered linefeeds as per newer Javascript specifications, and consequently problematic when using JSONP (see https://en.wikipedia.org/wiki/JSONP).
Fields in com.fasterxml.jackson.core declared as CharacterEscapes
Modifier and Type
Field
Description
`protected CharacterEscapes`
JsonFactory.`_characterEscapes`
Definition of custom character escapes to use for generators created by this factory, if any.
`protected CharacterEscapes`
JsonFactoryBuilder.`_characterEscapes`
Methods in com.fasterxml.jackson.core that return CharacterEscapes
Modifier and Type
Method
Description
`CharacterEscapes`
JsonFactoryBuilder.`characterEscapes()`
`CharacterEscapes`
JsonFactory.`getCharacterEscapes()`
Method for accessing custom escapes factory uses for `JsonGenerator`s it creates.
`CharacterEscapes`
JsonGenerator.`getCharacterEscapes()`
Method for accessing custom escapes factory uses for `JsonGenerator`s it creates.
Methods in com.fasterxml.jackson.core with parameters of type CharacterEscapes
Modifier and Type
Method
Description
`JsonFactoryBuilder`
JsonFactoryBuilder.`characterEscapes(CharacterEscapes esc)`
Method for defining custom escapes factory uses for `JsonGenerator`s it creates.
`JsonFactory`
JsonFactory.`setCharacterEscapes(CharacterEscapes esc)`
Method for defining custom escapes factory uses for `JsonGenerator`s it creates.
`JsonGenerator`
JsonGenerator.`setCharacterEscapes(CharacterEscapes esc)`
Method for defining custom escapes factory uses for `JsonGenerator`s it creates.

## Uses of CharacterEscapes in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as CharacterEscapes
Modifier and Type
Field
Description
`protected CharacterEscapes`
JsonGeneratorImpl.`_characterEscapes`
Definition of custom character escapes to use for generators created by this factory, if any.
Methods in com.fasterxml.jackson.core.json that return CharacterEscapes
Modifier and Type
Method
Description
`CharacterEscapes`
JsonGeneratorImpl.`getCharacterEscapes()`
Method for accessing custom escapes factory uses for `JsonGenerator`s it creates.
Methods in com.fasterxml.jackson.core.json with parameters of type CharacterEscapes
Modifier and Type
Method
Description
`JsonGenerator`
JsonGeneratorImpl.`setCharacterEscapes(CharacterEscapes esc)`

## Uses of CharacterEscapes in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return CharacterEscapes
Modifier and Type
Method
Description
`CharacterEscapes`
JsonGeneratorDelegate.`getCharacterEscapes()`
Methods in com.fasterxml.jackson.core.util with parameters of type CharacterEscapes
Modifier and Type
Method
Description
`JsonGenerator`
JsonGeneratorDelegate.`setCharacterEscapes(CharacterEscapes esc)`